- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends

# QScreenCursor Class Reference

Search for all occurrences

## Detailed Description

Definition at line 135 of file qscreen_qws.h.

`#include <qscreen_qws.h>`

Inheritance diagram for QScreenCursor:
[legend]

List of all members.

## Public Member Functions
| QScreenCursor ()
virtual | ~QScreenCursor ()
virtual void | set (const QImage &image, int hotx, int hoty)
virtual void | move (int x, int y)
virtual void | show ()
virtual void | hide ()
bool | supportsAlphaCursor () const
QRect | boundingRect () const
QImage | image () const
bool | isVisible () const
bool | isAccelerated () const
## Static Public Member Functions
static bool | enabled ()
static void | initSoftwareCursor ()
static QScreenCursor * | instance ()
## Protected Attributes
QImage | cursor
QSize | size
QPoint | pos
QPoint | hotspot
uint | enable: 1
uint | hwaccel: 1
uint | supportsAlpha: 1
## Friends
class | QProxyScreenCursor

## Constructor & Destructor Documentation

QScreenCursor | ( |  | ) |

virtual ~QScreenCursor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void set | ( | const QImage & | image,
|  | int | hotx,
|  | int | hoty
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreenCursor.

virtual void move | ( | int | x,
|  | int | y
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreenCursor.

virtual void show | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreenCursor.

virtual void hide | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreenCursor.

bool supportsAlphaCursor | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 146 of file qscreen_qws.h.

    { return supportsAlpha; }

static bool enabled | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 148 of file qscreen_qws.h.

    { return qt_sw_cursor; }

QRect boundingRect | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 150 of file qscreen_qws.h.

    { return QRect(pos - hotspot, size); }

QImage image | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 151 of file qscreen_qws.h.

    { return cursor; }

bool isVisible | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 152 of file qscreen_qws.h.

    { return enable; }

bool isAccelerated | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 153 of file qscreen_qws.h.

    { return hwaccel; }

static void initSoftwareCursor | ( |  | ) | `[static]`

Search for all occurrences

static QScreenCursor* instance | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 156 of file qscreen_qws.h.

    { return qt_screencursor; }

## Friends And Related Function Documentation

friend class QProxyScreenCursor `[friend]`

Search for all occurrences

Definition at line 169 of file qscreen_qws.h.

## Member Data Documentation

QImage cursor `[protected]`

Search for all occurrences

Definition at line 159 of file qscreen_qws.h.

QSize size `[protected]`

Search for all occurrences

Definition at line 161 of file qscreen_qws.h.

QPoint pos `[protected]`

Search for all occurrences

Definition at line 162 of file qscreen_qws.h.

QPoint hotspot `[protected]`

Search for all occurrences

Definition at line 163 of file qscreen_qws.h.

uint enable `[protected]`

Search for all occurrences

Definition at line 164 of file qscreen_qws.h.

uint hwaccel `[protected]`

Search for all occurrences

Definition at line 165 of file qscreen_qws.h.

uint supportsAlpha `[protected]`

Search for all occurrences

Definition at line 166 of file qscreen_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qscreen_qws.h

QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor
QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor QScreenCursor